function rcpf_vot
% ncc VOT integration example
%
% This function is an example of tracker integration into the toolkit.
% The implemented tracker is a very simple NCC tracker that is also used as
% the baseline tracker for challenge entries.
%

% *************************************************************
% VOT: Always call exit command at the end to terminate Matlab!
% *************************************************************
cleanup = onCleanup(@() exit() );

% *************************************************************
% VOT: Set random seed to a different value every time.
% *************************************************************
RandStream.setGlobalStream(RandStream('mt19937ar', 'Seed', sum(clock)));

% **********************************
% VOT: Get initialization data
% **********************************
addpath(genpath('E:\project\vot2017\vot-toolkit-master\RCPF\'));
[handle, image, region] = vot('polygon');
global enableGPU;
enableGPU = false;
rcpf_init
while true
    
    % **********************************
    % VOT: Get next frame
    % **********************************
    t=t+1;
    [handle, image] = handle.frame(handle);
    if isempty(image)
        break;
    end;
%     save('E:\project\vot2017\vot-toolkit-master\data.mat');

    % Perform a tracking step, obtain new region
    rcpf_update
    
    % **********************************
    % VOT: Report position for frame
    % **********************************
    handle = handle.report(handle, result_rect);
    
end;

% **********************************
% VOT: Output the results
% **********************************
handle.quit(handle);

end



